package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.dto.BuyBookRequestReplyDTO;
import com.pcloud.book.applet.entity.BuyBookRequestReply;
import com.pcloud.common.exceptions.BizException;

import java.util.List;

/**
 * (BuyBookRequest)表服务接口
 *
 * @author Dominic_Z
 * @since 2020年12月25日 16:02:04
 */
public interface BuyBookRequestReplyBiz {

    /**
     * 新增回复记录
     *
     * @param buyBookRequestReply
     * @return
     */
    Long insert(BuyBookRequestReply buyBookRequestReply);

    List<BuyBookRequestReplyDTO> getByRequestId(Long requestId);

    void deleteById(Long id);

    List<BuyBookRequestReplyDTO> getListByIds(List<Long> requestIds) throws BizException;
}
